## org.apache.batik.ext.awt.geom
Class SegmentList.SplitResults

    java.lang.Object
      org.apache.batik.ext.awt.geom.SegmentList.SplitResults

Enclosing class:
  SegmentList

    public static class SegmentList.SplitResults

extends java.lang.Object

read-only helper class to represent a split-result. So far, used only by FlowRegions.

Constructor Summary
`SegmentList.SplitResults(SegmentList above, SegmentList below)`

Method Summary
`SegmentList` `getAbove()`
`SegmentList` `getBelow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentList.SplitResults

    public SegmentList.SplitResults(SegmentList above,
                                    SegmentList below)

Method Detail

### getAbove

    public SegmentList getAbove()

  Returns:
    the list of segments above some split-point - can be null

### getBelow

    public SegmentList getBelow()

  Returns:
    the list of segments below some split-point - can be null

Copyright © 2008 Apache Software Foundation. All Rights Reserved.